package com.huatek.busi.service.transformer;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.TransformerEvaluateData;
import com.huatek.busi.vo.TransformerEvaluateDataVo;
import com.huatek.busi.vo.TransformerEvaluateDataVo2;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
  * @ClassName: TransformerEvaluateDataService
  * @Description: 变压器评测数据服务.
  * @author: Arno
  * @date: Sep 2, 2019 4:58:05 PM
  * @version: 1.0
  */

public interface TransformerEvaluateDataService {

	public boolean save (String token,TransformerEvaluateDataVo vo);
	
	public boolean update (String token, TransformerEvaluateDataVo vo);
	
	public TransformerEvaluateData findByPK(String PK);
	
	public List<TransformerEvaluateData> findByMainTreeId(String mainTreeId);
	
	public TransformerEvaluateDataVo info(String id);
	
	
	public TransformerEvaluateDataVo getLastByMainTreeId(String mainTreeId);

	public int delete(String token, List<String> ids);

	public PageInfo<TransformerEvaluateDataVo2> page(String mainTreeId , LocalDateTime start, LocalDateTime end, Integer page, Integer limit);
	
	 public Map<String, Object> exportTransformerEvaluateData(String mainTreeId, LocalDateTime start, LocalDateTime end);
}
